org.codehaus.groovy.util

## Class SingleKeyHashMap

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap
  - - org.codehaus.groovy.util.SingleKeyHashMap

Direct Known Subclasses:
  MetaClassImpl.Index

    public class SingleKeyHashMap
    extends ComplexKeyHashMap

### Nested Class Summary

Nested Classes
`static interface` `SingleKeyHashMap.Copier`
`static class` `SingleKeyHashMap.Entry`

### Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

`ComplexKeyHashMap.EntryIterator`

### Field Summary

### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

`DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

### Constructor Summary

Constructors
Constructor and Description
`SingleKeyHashMap()`
`SingleKeyHashMap(boolean b)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `containsKey(java.lang.String name)`
`static SingleKeyHashMap` `copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)`
`java.lang.Object` `get(java.lang.Object key)`
`SingleKeyHashMap.Entry` `getOrPut(java.lang.Object key)`
`SingleKeyHashMap.Entry` `getOrPutEntry(SingleKeyHashMap.Entry element)`
`void` `put(java.lang.Object key, java.lang.Object value)`
`SingleKeyHashMap.Entry` `putCopyOfUnexisting(SingleKeyHashMap.Entry ee)`
`ComplexKeyHashMap.Entry` `remove(java.lang.Object key)`

### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

`clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleKeyHashMap

    public SingleKeyHashMap()

#### SingleKeyHashMap

    public SingleKeyHashMap(boolean b)

### Method Detail

#### containsKey

    public boolean containsKey(java.lang.String name)

#### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

#### get

    public final java.lang.Object get(java.lang.Object key)

#### getOrPut

    public SingleKeyHashMap.Entry getOrPut(java.lang.Object key)

#### getOrPutEntry

    public SingleKeyHashMap.Entry getOrPutEntry(SingleKeyHashMap.Entry element)

#### putCopyOfUnexisting

    public SingleKeyHashMap.Entry putCopyOfUnexisting(SingleKeyHashMap.Entry ee)

#### remove

    public final ComplexKeyHashMap.Entry remove(java.lang.Object key)

#### copy

    public static SingleKeyHashMap copy(SingleKeyHashMap dst,
                                        SingleKeyHashMap src,
                                        SingleKeyHashMap.Copier copier)